MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024976Open CASCADE[OCCT] OCCT:Data Exchangepublic2014-05-30 12:362014-11-11 13:03
Reporterapn 
Assigned Tobugmaster 
PriorityimmediateSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024976: REGRESSIONS in de test cases in Debug mode
DescriptionThere are following bad test cases in Debug mode on current master (Error: ShapeFix_ComposeShell::SplitByLine: parity error):
de step_1 E4 F8
de step_3 C6
de step_5 A7
TagsNo tags attached.
Test case numberde step_1 E4 F8 step_3 C6 step_5 A7
Attached Files

- Relationships
child of 0024055closedapn Reading a STEP file produces invalid shape 

-  Notes
(0030519)
bugmaster (administrator)
2014-08-01 13:08

Problem is on stage detecting integration that caused this regression
(0030560)
bugmaster (administrator)
2014-08-04 17:03

Problematic commit has been detected between IR-2014-05-29 and IR-2014-05-22.

Revision: 16c7b64236e9aede80ab93c500561ec001fbe1cc
Author: ika <ika@opencascade.com>
Date: 5/29/2014 4:43:38 PM
Message:
0024055: Reading a STEP file produces invalid shape
(0033817)
abv (manager)
2014-10-29 13:46

Andrey, please check if this issue is still relevant
(0033973)
apn (administrator)
2014-10-31 17:07

This problem is not reproduced on current state of master (cases are "bad/known problem" for another reason).

Debian60-64 Debug:
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Debian60-64/de/step_1/E4.html [^]
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Debian60-64/de/step_1/F8.html [^]
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Debian60-64/de/step_3/C6.html [^]
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Debian60-64/de/step_5/A7.html [^]

Windows Debug:
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Windows-32-VC10/de/step_1/E4.html [^]
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Windows-32-VC10/de/step_1/F8.html [^]
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Windows-32-VC10/de/step_3/C6.html [^]
http://occt-tests/IR-2014-10-30-IR-2014-10-30-occt-deb/Windows-32-VC10/de/step_5/A7.html [^]

- Issue History
Date Modified Username Field Change
2014-05-30 12:36 apn New Issue
2014-05-30 12:36 apn Assigned To => gka
2014-05-30 12:36 apn Status new => assigned
2014-08-01 13:07 bugmaster Assigned To gka => apv
2014-08-01 13:07 bugmaster Priority normal => immediate
2014-08-01 13:08 bugmaster Note Added: 0030519
2014-08-01 13:08 bugmaster Summary Regressions in de test cases in Debug mode => REGRESSIONS in de test cases in Debug mode
2014-08-04 16:57 bugmaster Relationship added child of 0022055
2014-08-04 17:03 bugmaster Assigned To apv => ika
2014-08-04 17:03 bugmaster Note Added: 0030560
2014-08-04 17:07 bugmaster Relationship deleted child of 0022055
2014-08-04 17:08 bugmaster Relationship added child of 0024055
2014-10-29 13:46 abv Note Added: 0033817
2014-10-29 13:46 abv Assigned To ika => apn
2014-10-29 13:46 abv Status assigned => feedback
2014-10-31 17:07 apn Note Added: 0033973
2014-10-31 17:08 apn Test case number => de step_1 E4 F8 step_3 C6 step_5 A7
2014-10-31 17:08 apn Status feedback => tested
2014-10-31 17:08 apn Resolution open => fixed
2014-10-31 17:08 apn Assigned To apn => Bayard
2014-10-31 17:08 apn Status tested => verified
2014-10-31 17:09 apn Assigned To Bayard => bugmaster
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker